Bug Hunting Session
Bug 72861 - SVG font embedding is not supported
Summary: SVG font embedding is not supported
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.0.1:Ubuntu
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2013-12-19 02:59 UTC by deepjungle.maca
Modified: 2016-10-19 08:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
BMC (162.63 KB, application/vnd.oasis.opendocument.text)
2013-12-19 02:59 UTC, deepjungle.maca
Details
Testing SVG file (107.58 KB, image/svg+xml)
2013-12-19 03:00 UTC, deepjungle.maca
Details
Right used embedded font (58.35 KB, application/pdf)
2013-12-19 03:00 UTC, deepjungle.maca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description deepjungle.maca 2013-12-19 02:59:28 UTC
Created attachment 90964 [details]
BMC

Steps to reproduce

1. Open the attached file (BMC)
2. Compare the image with the attached right PDF output or open the attached SVG in Firefox or Chrome

Result:
The SVG image is not showed correctly with embedded font in the SVG but some one else.
Comment 1 deepjungle.maca 2013-12-19 03:00:04 UTC
Created attachment 90965 [details]
Testing SVG file
Comment 2 deepjungle.maca 2013-12-19 03:00:38 UTC
Created attachment 90966 [details]
Right used embedded font
Comment 3 Robinson Tryon (qubit) 2013-12-19 11:45:18 UTC
CONFIRMED on LO 4.2.0.1 + Ubuntu 12.04.3

(In reply to comment #0)
> Steps to reproduce
> 
> 1. Open the attached file (BMC)

This is an ODT file

> 2. Compare the image with the attached right PDF output or open the attached
> SVG in Firefox or Chrome
> 
> Result:
> The SVG image is not showed correctly with embedded font in the SVG but some
> one else.

The fonts displayed in the PDF, ODT, and SVG *all* appear different to me (most noticeably in the "y" of "Key Partners").
Comment 4 QA Administrators 2015-04-19 03:21:51 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-16 17:52:13 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 80ec99db4325a439a8a3f1d420d0a80f8bf9c439
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-16_00:00:20
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-09-20 10:00:25 UTC Comment hidden (obsolete)
Comment 7 Regina Henschel 2016-09-20 20:39:20 UTC
The feature is still not implemented. I have tested it with Version: 5.3.0.0.alpha0+
Build ID: ba269f7294e2416659011cbb498a2c6b5f9d5199
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-12_02:36:16
Locale: de-DE (de_DE); Calc: group
Comment 8 Khaled Hosny 2016-10-18 22:44:35 UTC
SVG fonts (like the one embedded in the SVG file) are obsolete and were dropped from SVG 2.0 draft. Firefox and Internet Explorer never supported them and Chrome dropped support for them few years ago. Iā€™d close this WONTFIX.
Comment 9 Buovjaga 2016-10-19 08:28:42 UTC
Thanks for your insight, Khaled. It indeed seems like the best course of action, so closing.